/**
 * @file
 * @brief Global STM32 HAL initialization.
 */
#ifndef STA_CORE_STM32_INIT_HPP
#define STA_CORE_STM32_INIT_HPP

#include <sta/devices/stm32/hal.hpp>

namespace sta
{
    /**
     * @brief Initialize global HAL objects.
     *
     * @ingroup sta_core_stm32
     */
    void initHAL();
} // namespace sta


#endif // STA_CORE_STM32_INIT_HPP
