#include <sta/bus/i2c/i2c.hpp>


namespace sta 
{
    I2C::I2C(Mutex * mutex)
        : Interface{mutex}
    {

    }

    void I2C::setSettings(uint16_t address, bool master, bool blocking)
    {
    	address_ = address;
    	master_ = master;
    	blocking_ = blocking;
    }
} // namespace sta
