/**
 * @file delay.hpp
 * @author [your name] ([you]@[your_domain].com)
 * @brief 
 * @version 0.1
 * @date 2023-06-13
 * 
 * @copyright Copyright (c) 2023
 * 
 * How to modify this file:
 * - Ctrl + F and replace "YOUR_DEVICE" with the appropriate name.
 */
#ifndef STA_CORE_YOUR_DEVICE_DELAY_HPP
#define STA_CORE_YOUR_DEVICE_DELAY_HPP

// Only enable module on YOUR_DEVICE platform
#include <sta/config.hpp>


#if defined(STA_PLATFORM_YOUR_DEVICE) || defined(DOXYGEN)

#include <cstdint>

namespace sta
{
    /**
     * @brief Millisecond delay.
     *
     * @param ms    Milliseconds
     */
    void delayMs(uint32_t ms);

    /**
     * @brief Microsecond delay.
     *
     * @param us    Microseconds
     */
    void delayUs(uint32_t us);
} // namespace sta

#endif // STA_PLATFORM_YOUR_DEVICE

#endif // STA_CORE_YOUR_DEVICE_DELAY_HPP